## usplash-theme-sabily 1.6

=== usplash-theme-taibah/Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

usplash-theme-taibah.so: throbber_back.png.c.o throbber_back_16.png.c.o throbber_fore.png.c.o throbber_fore_16.png.c.o \
						 usplash_1024_768.png.c.o usplash_800_600.png.c.o \
						 usplash_640_400.png.c.o usplash_640_480.png.c.o usplash-theme-taibah.c.o
	$(COMPILE) -shared -o $@ $^

%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) usplash-theme-taibah.so $(DESTDIR)/usr/lib/usplash/usplash-theme-taibah.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so

=== debian/changelog ===
usplash-theme-sabily (1.6) karmic; urgency=low

  * Renamed package to usplash-theme-sabily: debian/control, debian/postinst,
    debian/prerm, debian/rules. (LP: #359444)
  * debian/control:
    + Bump Standards-Version to 3.8.1, no changes needed.
    + Distro name changed to Sabily.
    + Provide usplash-theme-sabily as a dummy transitional package.
    + Added Replaces: usplash-theme-ubuntume (<= 1.5)
    + Updated team name/email in Maintainer field.
    + Updated URLs in Vcs-* fields.
  * Removed debian/dirs since the Makefiles create the directories aleady.
  * Change usplash-theme-sabily to an Arch:all package that Depends and
    symlinks to the usplash theme to be installed by default.
    + debian/usplash-theme-sabily.links
    + Rename: postinst => usplash-theme-sabily.postinst
    + Rename: prerm => usplash-theme-sabily.prerm
  * Moved and renamed usplash theme to usplash-theme-taibah.
  * Moved postinst code to check for version < 1.3 to 
    debian/usplash-theme-ubuntume.postinst
  * Added prerm.in and postinst.in which are used by debian/rules' clean 
    target to autogenerate prerm & postinst scripts for target usplash themes.
  * debian/usplash-theme-ubuntume.postinst: added check for upgrades from 1.5.
  * usplash-theme-taibah: Updated theme from Amine Fahem.
  * debian/copyright: converted to machine-readable format.
  * Removed unncessary usplash-theme-sabily/usplash_primary.png

  [Mahyuddin Susanto <udienz@ubuntu.com>]
  * debian/copyright: changing packaging license to GPLv3.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon,  2 Jun 2009 09:50:06 +0200

usplash-theme-ubuntume (1.5) jaunty; urgency=low

  * Update for new usplash which supports explicit theme sizes and pixmap
    positions; see LP #64147 for details.
  * debian/control: Bump usplash dependencies to >= 0.5.30 (THEME_VERSION==4).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Mar 2009 22:14:02 +0100

usplash-theme-ubuntume (1.4) intrepid; urgency=low

  * * No-change rebuild against current usplash which bumped THEME_VERSION.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Oct 2008 09:44:02 +0200

usplash-theme-ubuntume (1.3) intrepid; urgency=low

  * debian/postinst:
   + usplash theme is now /usr/lib/usplash/usplash-theme-ubuntume.so.
   + Remove /usr/lib/usplash/ubuntume.so from alternatives if
     upgrading from a version before 1.3.
   + Set alternative to /usr/lib/usplash/usplash-theme-ubuntume.so if it was
     set to /usr/lib/usplash/ubuntume.so when upgrading from a version before
     1.3.
  * debian/control: updated Maintainer field with new mailing list address.
  [ jMehdi ]
  * New theme based on usplash-theme-ubuntu.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 21 Jun 2008 09:50:06 +0200

usplash-theme-ubuntume (1.2) hardy; urgency=low

  * Fixed text position for 800x600 resolution.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 29 Mar 2008 09:50:06 +0200

usplash-theme-ubuntume (1.1) hardy; urgency=low

  * Initial release (LP: #185134).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 24 Dec 2007 09:50:06 +0200

=== debian/control ===
Source: usplash-theme-sabily
Section: misc
Priority: optional
Maintainer: Sabily Team <sabily.team@lists.launchpad.net>
XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 5), libusplash-dev (>= 0.5.30)
Standards-Version: 3.8.1
Homepage: http://www.sabily.org
Vcs-Bzr: http://code.launchpad.net/~sabily.team/sabily-artwork/trunk
Vcs-Browser: http://bazaar.launchpad.net/~sabily.team/sabily-artwork/trunk

Package: usplash-theme-taibah
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.5.30)
Description: Usplash theme for Sabily Taibah
 This package contains the usplash theme for Sabily Taibah release.

Package: usplash-theme-sabily
Architecture: all
Depends: ${misc:Depends}, usplash-theme-taibah
Replaces: usplash-theme-ubuntume (<= 1.5)
Description: Usplash theme for Sabily
 This package contains the usplash theme for Sabily.

Package: usplash-theme-ubuntume
Architecture: all
Depends: ${misc:Depends}, usplash-theme-sabily
Description: Usplash theme for Sabily (transitional package)
 This package contains the usplash theme for Sabily.
 .
 This is a dummy transitional package that will ensure a proper upgrade path.
 This package may be safely removed after upgrading.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

THEMES=usplash-theme-taibah

build: build-stamp

build-stamp:
	dh_testdir
	$(foreach theme, ${THEMES}, $(MAKE) -C $(theme); )
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(foreach theme, ${THEMES}, $(MAKE) -C $(theme) clean; )
	$(foreach theme, ${THEMES}, sed -e "s/#THEME#/$(theme)/g" debian/postinst.in > debian/$(theme).postinst; )
	$(foreach theme, ${THEMES}, sed -e "s/#THEME#/$(theme)/g" debian/prerm.in > debian/$(theme).prerm; )
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(foreach theme, ${THEMES}, $(MAKE) -C $(theme) DESTDIR=$(CURDIR)/debian/$(theme) install; )

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
